Ubuntu

error:: no video mode activated

Reported by Marcin Juszkiewicz on 2011-01-07
484
This bug affects 99 people
Affects Status Importance Assigned to Milestone
grub2 (Ubuntu)
Medium
Unassigned
Precise
Undecided
Unassigned
Quantal
Medium
Unassigned

Bug Description

Binary package hint: grub-pc

On my laptop I am getting "error: no video mode activated." message from grub on system boot (in standard VGA mode). After that kernel loads and sets proper resolution (1366x768).
---
Architecture: amd64
DistroRelease: Ubuntu 11.04
Package: grub-pc 1.99~20110104-2ubuntu1
PackageArchitecture: amd64
ProcEnviron:
 SHELL=/bin/bash
 LANG=pl_PL.UTF-8
ProcVersionSignature: Ubuntu 2.6.37-12.26-generic 2.6.37
Tags: natty
Uname: Linux 2.6.37-12-generic x86_64
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

apport information

tags: added: apport-collected natty
description: updated
Marcin Juszkiewicz (hrw) wrote :

My /etc/default/grub:

GRUB_DEFAULT=0
GRUB_HIDDEN_TIMEOUT=0
GRUB_HIDDEN_TIMEOUT_QUIET=true
GRUB_TIMEOUT=2
GRUB_DISTRIBUTOR=`lsb_release -i -s 2> /dev/null || echo Debian`
GRUB_CMDLINE_LINUX_DEFAULT="quiet splash"
GRUB_CMDLINE_LINUX="loop.max_loop=256 acpi_backlight=vendor loglevel=0"
GRUB_TERMINAL=console
GRUB_GFXMODE=640x480
GRUB_DISABLE_LINUX_UUID=true
GRUB_DISABLE_LINUX_RECOVERY="true"
GRUB_GFXPAYLOAD_LINUX=text

Grub menu (if requested) displays properly in VGA mode.

Marcin Juszkiewicz (hrw) wrote :

13:29 hrw@lucek:~$ lspci -nn
00:00.0 Host bridge [0600]: Intel Corporation Mobile 4 Series Chipset Memory Controller Hub [8086:2a40] (rev 07)
00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a42] (rev 07)
00:02.1 Display controller [0380]: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a43] (rev 07)
00:1a.0 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #4 [8086:2937] (rev 03)
00:1a.1 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #5 [8086:2938] (rev 03)
00:1a.2 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #6 [8086:2939] (rev 03)
00:1a.7 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #2 [8086:293c] (rev 03)
00:1b.0 Audio device [0403]: Intel Corporation 82801I (ICH9 Family) HD Audio Controller [8086:293e] (rev 03)
00:1c.0 PCI bridge [0604]: Intel Corporation 82801I (ICH9 Family) PCI Express Port 1 [8086:2940] (rev 03)
00:1c.1 PCI bridge [0604]: Intel Corporation 82801I (ICH9 Family) PCI Express Port 2 [8086:2942] (rev 03)
00:1c.5 PCI bridge [0604]: Intel Corporation 82801I (ICH9 Family) PCI Express Port 6 [8086:294a] (rev 03)
00:1d.0 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #1 [8086:2934] (rev 03)
00:1d.1 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #2 [8086:2935] (rev 03)
00:1d.2 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #3 [8086:2936] (rev 03)
00:1d.7 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #1 [8086:293a] (rev 03)
00:1e.0 PCI bridge [0604]: Intel Corporation 82801 Mobile PCI Bridge [8086:2448] (rev 93)
00:1f.0 ISA bridge [0601]: Intel Corporation ICH9M-E LPC Interface Controller [8086:2917] (rev 03)
00:1f.2 SATA controller [0106]: Intel Corporation ICH9M/M-E SATA AHCI Controller [8086:2929] (rev 03)
02:00.0 Network controller [0280]: Atheros Communications Inc. AR9285 Wireless Network Adapter (PCI-Express) [168c:002b] (rev 01)
03:00.0 Ethernet controller [0200]: Atheros Communications AR8132 Fast Ethernet [1969:1062] (rev c0)

Handle 0x0001, DMI type 1, 27 bytes
System Information
        Manufacturer: ASUSTeK Computer Inc.
        Product Name: UL30A
        Version: 1.0
        Serial Number: REMOVED
        UUID: REMOVED
        Wake-up Type: Power Switch
        SKU Number:
        Family:

Fabián Rodríguez (magicfab) wrote :

This is new in natty, same system with Maverick didn't show this message at boot.

Seems related to this:
https://bugs.launchpad.net/ubuntu/+source/grub2/+bug/410653

...which is linked to this upstream:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=522128

Changed in grub2 (Ubuntu):
status: New → Confirmed
importance: Undecided → Medium
Ren (milchmannag) wrote :

I can confirm this bug, with
Ubuntu 11.04 (up to date) and
grub-pc Version 1.99~rc1-12ubuntu1
on a notebook with
Mobility Radeon 9700 graphic card.

If I can help by delivering logs or doing some tests, please tell.

James Hunt (jamesodhunt) wrote :

Problem also see on every boot on an Acer Aspire One D260 with Intel N10 graphics card. Installed today from latest natty alternate install image (with encrypted LVM and home directory).

Bernd Schubert (aakef) wrote :

Same issue on a thinkpad T410s and also on a dell d600. Btw, I aways configure "GRUB_TERMINAL=console". On the T410s it DID show the login menu after running "grub-install", but on subsequent boots it did not work anymore.

Tom Ellis (tellis) wrote :

I'm also seeing this on an x200, default install from today's natty alternate daily build.

truse (truls-hagen) wrote :

Same problem here. Just downloaded 11.04 and installed on Thinkpad T410.

RobPower (robpwr) wrote :

Same problem on a 11.04 fresh install.
WORKAROUND:
Decommenting "#GRUB_GFXMODE=640x480" in "/etc/default/grub" actually solves the problem.

RobPower (robpwr) wrote :

PS: remember to run "sudo update-grub" after changing "/etc/default/grub"

Stefan Nagy (stefan-nagy) wrote :

I have the same problem on Natty. My graphics card is a ATI Technologies Inc Radeon RV250 [Mobility FireGL 9000] [1002:4c66] (rev 01).

The workaround doesn't work for me – changing /etc/default/grub has no effect.

Ren (milchmannag) wrote :

Still not working here with
grub-pc Version 1.99~rc1-13ubuntu3.

Console mode leads to the error message,
graphic terminal and "workaround" setting "GRUB_GFXMODE=640x480" also doesn't work.

It looks like all effected use a notebook?
And a big part of them ATI mobile graphic? With AGP?

Ren (milchmannag) wrote :

Found workaround for me.

Deactivate the following line:
#GRUB_HIDDEN_TIMEOUT=0

Though the defaut value is =0 this seams to cause the error.

linux4me (ta2008) wrote :

@Ren: I've got the errpr with clean installs of Natty on two desktops, both of which have nVidia graphics chips, one on the motherboard and the other a discrete card (7600 GS PCI Express x16).

Changing the GFXMODE didn't work for me, either.

linux4me (ta2008) wrote :

I tried commenting out GRUB_HIDDEN_TIMEOUT=0 and I believe the error message still appears, but it flashes up and is gone so fast it's hard to tell if it's the same error.

Ren (milchmannag) wrote :

@linux4me: Well that's for this theory.

And now that you mention it, I can also see some message flicker up for a very short time.
But than I get the grub menu and can chose kernel/os.
So at least for me, the workaround is usable (even if not really solving the bug?!?).

PresuntoRJ (fabio-tleitao) wrote :

I have TERMINAL=console and GFXMODE decomented, and the HIDDEN_TIMEOUT and QUIET commented to grub to showup... also, probably related, plymouth is not working, not even in "textmode", the screen goes black until the login shows up... pretty odd

Huji Lee (huji-huji) wrote :

I have this same problem on a clean Ubuntu Natty installation with encrypted LVM (similar to comment #6). A possible cause can be that the fonts and other information GRUB loads from places other than /boot are not accessible at the boot time because they are located in the encrypted partition.

Ujjwal Singh (san0013) wrote :

annoying to have the computer[server] start with "error".
associated with: GRUB_TERMINAL=console

Gregor Riepl (onitake) wrote :

When you run vbeinfo, grub reports a preferred resolution at the end.
Could it be that grub is trying to switch to this resolution, failing if it is not one of the supported VESA modes?
16:9 and 16:10 modes are usually not among those, yet a great deal of (if not almost all) modern computers have such screens...

Same here, but on a workstation (not a laptop).

Ubuntu 11.04 Alternate (installed via USB flash drive)
Partitions: Guided (full disk encryption with LVM for root and swap)
Motherboard: MSiGF615M-P33
Video: Built-in (integrated on-mobo): NVidia GeForce 7025 & nForce 630a

Previous versions of Ubuntu worked fine on similar hardware. What changed from 10.10?

Have this same problem on an Asus laptop i3 2.53 GHz with lvm + crypt.

Interestingly, initially I *upgraded* from Maverick to Natty and the problem didn't occur. After a clean install of Natty it started occurring.

Guido Nickels (gsn) wrote :

I was finally able to workaround the problem here.

The script /etc/grub.d/00_header does some font path detection stuff and if that fails it doesn't set any gfxmode (neither the default "auto" nor anything defined manually in /etc/default/grub).

The font path is /usr/share/grub, but I have a separate /boot partition and the script doesn't seem to know how to handle this situation correctly, leaving me without fonts and gfxmode.

So, I just copied /usr/share/grub/*.pf2 to /boot/grub and ran update-grub again. Voila, I got my gfxmode and a working unicode font, too.

liminal (mrphconnor) wrote :

I'm getting this same error message on my intel laptop

I don't want to use GFXMODE I like too see what is being outputted to the console however I think this error causes the first part of the output to be cut off.

It also seems related to this bug related to ubuntu grub themed backgrounds, supposed to be fixed tho

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=522128

P Jones (deerfieldtech) wrote :

Just wanted to confirm that comment #24 worked for me on Natty final, after an alternate install in which I selected LVM with encryption for / . Seems to me that grub goes looking for the fonts at boot but the volume they are on is still encrypted at that time and therefore unaccessible. Moving the fonts to the grub directory solves the problem.

Martin Spacek (mspacek) wrote :

I too hit this problem with my old Thinkpad T41 with radeon 9000 (rv250) graphics. I installed natty from scratch from the alternate disc (on usb) with lvm + encryption. I have "nomodeset" in my /etc/default/grub to allow the system to suspend:

GRUB_CMDLINE_LINUX_DEFAULT="quiet splash nomodeset"

Copying the *.pf2 fonts over to /boot/grub and running update-grub got rid of the "no video mode activated" error, but caused even worse problems: after reboot, I'd get to a blank (purplish) screen, and nothing would happen. In retrospect, I may have been at the text mode encryption passphrase prompt, but that wasn't showing up. After Ctrl+Alt+Del, the system would reset, and this time the full screen graphical grub2 would come up, and I could proceed normally to the encryption passphrase prompt.

I then uncommented the following:

GRUB_TERMINAL=console
GRUB_GFXMODE=640x480

and commented the following:

#GRUB_HIDDEN_TIMEOUT=0
#GRUB_HIDDEN_TIMEOUT_QUIET=true

and ran update-grub, and now I always get a small text mode grub on every boot. Not sure which of the above changes were necessary, but this might help someone (possibly me) in the future.

Mikhail Zabaluev (mzabaluev) wrote :

I was able to circumvent the error by pressing Ctrl-Alt-F1 and then Ctrl-Alt-F7, which brought me to a graphical screen with the LUKS password prompt.

Then, installation of Nvidia proprietary drivers seems to change the boot sequence so that it falls back to usable text mode on my ThinkPad T61p.

Martin Spacek (mspacek) wrote :

I can confirm that comment #27 also works on a Thinkpad W510 with Nvidia Quadro FX 880M and the nvidia blob. Thank you past Martin!

After messing around a bit more, it looks like all that was necessary to fix the problem I described in that post was commenting out the following:

#GRUB_HIDDEN_TIMEOUT=0
#GRUB_HIDDEN_TIMEOUT_QUIET=true

No need to turn on text mode by uncommenting "GRUB_TERMINAL=console"

J. Bergin (oj-pharmd) wrote :

Just wanted to confirm that the method for number 24 works well for people with the encrypted partition (don't bother with the uncommenting stuff).

Just so anyone like myself out there doesn't have to look all over to figure out how to do simple commands (my first time ever using linux).

launch the terminal and go to the directory (cd)

    cd /usr/share/grub/

copy the font files to another directory (cp, needs sudo, and *.pft copies the three font files at once)

    sudo cp *.pf2 /boot/grub

then update grub

    sudo update-grub

noobish (noobish) wrote :

This is not solely a problem with laptops. I see the same behavior on an lvm encrypted partition with separate raid1 /boot partition with a fresh install of natty. Natty was installed via i386 x64 alt disc in expert mode on a SuperMicro 7046T-H6R SuperServer with an ATI 5870 card.

I did *not* see this behavior when installing ubuntu 11.04 server amd64 using expert mode, with the same exact partition setup... (on different hardware though).

When copying the fonts to /boot/grub I get the same blank purple screen. The luks decrypt passphrase prompt is not displayed. I can switch terminals via the ctrl-alt hotkeys but the screen still does not update. I can only tell that switching is working by watching the numlock indicator. Trying to enter the passphrase blindly without first switching off and back to tty7 does not work.

Additionally, removing the fonts, running update-grub && install-grub /dev/sda restores the original broken behavior, including a working passphrase prompt.

I tried both xserver-xorg-video-radeon and fglrx and of course that has no effect besides breaking the nice video mode set via KMS when running fglrx.

noobish (noobish) wrote :

Correction: "Natty was installed via i386 alt disc in expert mode".

I forgot to mention kernels I tried were 2.6.38.8-generic and 2.6.38.10-generic.

I also just reinstalled natty via amd64 alt disc in expert mode on the same hardware. The same issue persists there for the same two kernels.

Ralf (ralf-kaestner) wrote :

#24 fixed it for me in 11.04 (with separated boot partition)

#24 fixed it for me in 11.04 (with encrypted root and swap and separate, unencrypted boot partition).

(Although, now I have a new problem: my cheap LCD monitor can't recognize the resolution requested by the GRUB screen. Ugh!)

So, this is verified as a font path issue. I have to say, this bug is a real stinker. It demonstrates that a new Ubuntu was released and nobody bothered to even try full-disk encryption before releasing it...?

Does anybody else miss LILO? I've had more GRUB problems in the past 4 years than in the previous 10 years with LILO! HEY GRUB TEAM, STOP BREAKING GRUB.

Sorry, had to vent. An entire product release was delayed due to this stinker.

Comment #24 seems like a viable workaround for some, but not for me.

After copying the fonts as per Comment #24, GRUB is now displaying at an insane resolution of something like 2000x2000 px at the boot screen and also when I get to a textmode shell. My cheap LCD won't show anything at all, and my fancy LCD can only display the top half of the screen.

I mention it here only because it seems related to GRUB not setting the video mode correctly. First, due to missing fonts (as per Comment #24), and now, due to who-knows-why.

This is on an integrated NVidia G-Force chipset. Everything worked fine under 10.4.

Asif (vadud3) wrote :

Comment #24 worked for me too. I am using natty w/ lvm encrypted partition with separate /boot on hp 6730b laptop with builtin intel graphics controller.

Ben (bhubu) wrote :

I can confirm this bug on a Sony Vaio Z2 with RAID 0 and full disk encryption.

I can confirm that #24 solves this issue. I'm also using full disk enryption on a Dell Instpiron 1515.

Travis Brown (tralbro) wrote :

I can confirm that #24 solved this for me on a Dell XPS15 with encrypted LVM.

DJ (ke7mbz) wrote :

#24 worked for me as well.

Acer 1410
Intel GMA 4500MHD graphics
LUKS volume with separate boot part

Tim Lappe (lappe-tim) wrote :

#24 solved the problem on a ThinkPad T500, AMD/ATI Mobility Radeon HD 3650.
LUKS volume with separate boot partition.

Timmmm (tdhutt) wrote :

This is still a problem in 11.10. But for me it is even worse: I just get a purple screen, with a single count-down number (if I change the timeout). The error is not even visible unless I set the graphics mode to 'console', so it took me a while to even find this bug!

Desktop with Geforce GTX 570 Ti.

Timmmm (tdhutt) wrote :

Oh, and also #24 did not help!

I have:

* Copied the pf2 files to /boot/grub
* Set:

GRUB_HIDDEN_TIMEOUT=10
GRUB_HIDDEN_TIMEOUT_QUIET=false
GRUB_TIMEOUT=10
GRUB_TERMINAL=console
GRUB_GFXMODE=640x480

* Run update-grub.

And it *still* says "error: no video mode set" (with a 10 second countdown). What now?!

Timmmm (tdhutt) wrote :

Ok, I tried what is suggested here: http://ubuntuforums.org/showthread.php?t=1759894

sudo chmod -x /etc/grub.d/05_debian_theme
sudo update-grub

And it gets rid of the "error: no video mode activated" message, but I still only have the single digit count-down, and cannot access the menu.

Timmmm (tdhutt) wrote :

Ok, finally got this to work(ish)! I commented most things out in /boot/grub/grub.cfg, and the menu finally shows up! When I boot it says "error: no suitable mode found \n booting however" or somthing like that.

As an aside, is there meant to be loads of ugly bash-like code in the grub.cfg? Because I'd hate to think that someone was stupid/masochistic enough to voluntarily choose bash as their configuration/scripting language. If someone *was* that stupid, well... I (would have) told you so!

Anyway, below is the configuration that finally (sort of) worked, with all the bash bullshit taken out. I also commented the linux_gfx_mode and recordfail stuff just in case.

I will try setting gfxpayload=text to see if that fixes the "no suitable mode" error.

----------8<-----------

terminal_input console
terminal_output console

menuentry 'Ubuntu, with Linux 3.0.0-13-generic' --class ubuntu --class gnu-linux --class gnu --class os {
# recordfail
# set gfxpayload=$linux_gfx_mode
 insmod gzio
 insmod part_gpt
 insmod ext2
 set root='(hd0,gpt2)'
 search --no-floppy --fs-uuid --set=root 301fb6d4-31e2-41b8-924f-3b073a43bbea
 linux /boot/vmlinuz-3.0.0-13-generic root=UUID=301fb6d4-31e2-41b8-924f-3b073a43bbea ro quiet splash vt.handoff=7
 initrd /boot/initrd.img-3.0.0-13-generic
}
menuentry 'Ubuntu, with Linux 3.0.0-13-generic (recovery mode)' --class ubuntu --class gnu-linux --class gnu --class os {
# recordfail
 insmod gzio
 insmod part_gpt
 insmod ext2
 set root='(hd0,gpt2)'
 search --no-floppy --fs-uuid --set=root 301fb6d4-31e2-41b8-924f-3b073a43bbea
 echo 'Loading Linux 3.0.0-13-generic ...'
 linux /boot/vmlinuz-3.0.0-13-generic root=UUID=301fb6d4-31e2-41b8-924f-3b073a43bbea ro recovery nomodeset
 echo 'Loading initial ramdisk ...'
 initrd /boot/initrd.img-3.0.0-13-generic
}
submenu "Previous Linux versions" {
menuentry 'Ubuntu, with Linux 3.0.0-12-generic' --class ubuntu --class gnu-linux --class gnu --class os {
# recordfail
# set gfxpayload=$linux_gfx_mode
 insmod gzio
 insmod part_gpt
 insmod ext2
 set root='(hd0,gpt2)'
 search --no-floppy --fs-uuid --set=root 301fb6d4-31e2-41b8-924f-3b073a43bbea
 linux /boot/vmlinuz-3.0.0-12-generic root=UUID=301fb6d4-31e2-41b8-924f-3b073a43bbea ro quiet splash vt.handoff=7
 initrd /boot/initrd.img-3.0.0-12-generic
}
menuentry 'Ubuntu, with Linux 3.0.0-12-generic (recovery mode)' --class ubuntu --class gnu-linux --class gnu --class os {
# recordfail
 insmod gzio
 insmod part_gpt
 insmod ext2
 set root='(hd0,gpt2)'
 search --no-floppy --fs-uuid --set=root 301fb6d4-31e2-41b8-924f-3b073a43bbea
 echo 'Loading Linux 3.0.0-12-generic ...'
 linux /boot/vmlinuz-3.0.0-12-generic root=UUID=301fb6d4-31e2-41b8-924f-3b073a43bbea ro recovery nomodeset
 echo 'Loading initial ramdisk ...'
 initrd /boot/initrd.img-3.0.0-12-generic
}
}

Lekensteyn (lekensteyn) wrote :

After copying the .pf2 files from /usr/share/grub to /boot/grub and running sudo update-grub, a few new lines are added as can be seen in the attachment.

tags: added: oneiric
Martin Bednorz (m-s-bednorz) wrote :

#24 worked for me.
I am getting this error only after trying to install ubuntu into an encrypted lvm with a separated boot partition (not encrypted).

I am also confirming that workaround described in Comment #24 worked for me.
My situation was similar with #47 (was installing ubuntu 11.10 amd64, into encrypted lvm volume, with separate non-encrypted boot partition).

Truxpin (faustria) wrote :

#24 solved for me: Lenovo W500 with dual graphic disabled in BIOS (use only ATI 3650) and 11.10 Alternate install with full disk encryption (LUKS) with /boot unencrypted.
Still having trouble with compiz andwobbly windows... but GRUBis fine now.

Brijam (brian-opensourcery) wrote :

Confirming the bug, and that the workaround in #24 also solved my issue. 11.10 Kubuntu alt install on an HP dv7-6b79us.

outa (outa) wrote :

The workaround in #24 did not work for me. The error message disappears, but I get a blank bluish screen, similar to #27 and #31. However, my system does not freeze, and after a few seconds, I get to the graphical LUKS password prompt during boot.

On the other hand, the workaround described in #44 works well.

Kubuntu 11.10 with encrypted LVM on a Thinkpad X220.

Dylan Damian (dylan-damian) wrote :

#24 workaround works for me as well. / resides on an encrypted LVM (LUKS) and there is a separate non-encrypted /boot partition. I used the alternate install.

Barry (mr-scada) wrote :

Thanks! Been digging around all day for #24. Installed with kubuntu alternate cd for 11.10 and couldn't see screen for password prompt when booting. #24 fixed it for me as well. I did full disk encryption (less /boot) with LUKS using alternate.

In addition to #24, I had to set GRUB_FONT (not GRUB_FONT_PATH) to "/boot/grub/unicode.pf2" in /etc/default/grub.

Also on Precise Beta 1.

In my case I have:

GRUB_DEFAULT=0
GRUB_HIDDEN_TIMEOUT=0
GRUB_HIDDEN_TIMEOUT_QUIET=true
GRUB_TIMEOUT=10
GRUB_DISTRIBUTOR=`lsb_release -i -s 2> /dev/null || echo Debian`
GRUB_CMDLINE_LINUX_DEFAULT="quiet splash"
GRUB_CMDLINE_LINUX="console=ttyS0,115200 console=tty0"
GRUB_TERMINAL="serial console"
GRUB_SERIAL_COMMAND="serial --speed=115200"

in /etc/default/grub.

Todd Howe (tehowe) wrote :

This affects an ACER1410 and a HP Pavilion notebook in Precise Beta 1. Both were default LUKS alternate ISO installs.

For both, comment 24 did the trick (in addition to an NVIDIA jockey install for the HP to clear up other bootup visual artifacting)

ryanmknox (ryanmknox) wrote :

I have a Dell Latitude E6510 with NVS3100M, comment 24 did the trick.

Barry Grussling (buray) wrote :

Affects me on 11.10 and 12.04 using kubuntu alternate and lvm + encryption except on /boot. #24 fixed it.

Kurnik (marko-kurnik) wrote :

Affects me on Toshiba Satellite A660 and fix form post #24 fixes "no video mode activated" error.
But now i have another problem.
I don't see nice splash screen but this: [IMG]http://i48.tinypic.com/w9709y.jpg[/IMG]
After i press escape twice i get nice splash screen...

Does anyone know what to do??

bitinerant (bitinerant) wrote :

Comment #24 worked around this issue for me. I ran:

  sudo cp -i /usr/share/grub/*.pf2 /boot/grub/
  sudo update-grub

Kurnik (marko-kurnik) wrote :

My fix:
1.) Apply fix provided in post #24.
2.) Install Nvidia drivers
3.) Use GFXMODE

Works perfectly

drs305 (drs305) wrote :

While testing variations of the hidden menu option and booting into the console mode (which is the only way I can get the hidden timeout to display) I also got the error message. Since the offending lines add an aubergine background to the grub menu, I'm guessing the default.grub file could be specific to Ubuntu.

The font is already in the /boot/grub folder, so #24 doesn't apply.

What I found is that the following lines 'trigger' the error message on boot just before the counter appears (generated by 05_debian_theme):

 if [ -e /lib/plymouth/themes/default.grub ]; then
  sed "s/^/${1}/" /lib/plymouth/themes/default.grub
 fi

which in turn generates these lines in grub.cfg (from /usr/lib/plymouth/themes/default.grub):

     if background_color 44,0,30; then
       clear
     fi

Commenting either set of lines or removing the /usr/lib/plymouth/themes/default.grub file and running update-grub removes this section from grub.cfg and the error message no longer appears.

Again, this is when booting in the console mode.

1.99-21ubuntu3

#24 did it for me too.
Fresh install of Ubuntu 12.10 (Daily), x64, Dell Lat. E4300 (Intel-Graphics), with unencrypted /boot, luks on /, swap and /home from Alternate-install.

But honestly - I do agree to #63.

On 12-06-11 09:34 PM, michael brenden wrote:
> Long-time Ubuntu masochist here.

Dude. You are clearly using the wrong distro. Ubuntu is the
dumbed-down-and-amped-up-with-eye-candy distro for the masses. If you
don't want eye-candy and you want defaults meant for "power users" you
really ought to look elsewhere.

Nicolas Jonas (nicolasjonas) wrote :

Same here after installing kubuntu to luks setup in LVM with a seperate /boot partition.

It shows the error message and then it takes ages untill ugly text comes up without any splash.

I remember having the same thing on my laptop, a little diffrent, it actaully showed the message a short time but then showed it right with splash if a remember right. Somehow now it completely got away without me doign any fix or drover install, maybe its there but that fast gone that i dont see it. I played arround with installig desktop enviroments KDE/GNOME/LXDE reinstalled and installed packages a lot maybe that changed something.

Seems everything referring to post 24 so i will try this now

This bug also affects me on 12.04. The solution in #24 did not work for me, no difference. Workstation with two ATI video cards. Seperate /boot, encrypted lvm (and and swap, but that probably doesn't make a difference.)

Asif (vadud3) wrote :

I did a fresh lvm+encrypt install of ubuntu 12.04 using alternate amd64+mac iso and I saw same error.

I followed the suggestion from comment #24 and just copied the *.pf2 files from /usr/share/grub/ to /boot/grub
and updated the grub. Now I do not see that error message anymore.

Thanks a lot!

Changed in grub2 (Ubuntu Precise):
status: New → Confirmed
outa (outa) wrote :

I experienced this problem when I installed Kubuntu 11.10 on my laptop (see #51). I have installed Kubuntu 12.04 on my desktop recently, and here the "no video mode activated" message does not appear. iirc, I saw it on the first boot up (not sure though), but i hasn't shown up since (I didn't apply any of the methods described here).

DiagonalArg (diagonalarg) wrote :

Same problem installing 12.04 as RAID -> LUKS -> LVM on a Tyan S2865 with an nVidea GF-7900GT video card.

I did as suggested in #28 and the disk decryption/password screen/box appeared. I was able to mount disks and log in. I installed the proprietary drivers, and on next boot I went right to the password screen, but there was no password box, just a text input line, and the font was large with the text overwriting itself. I then did as in #24, copying the fonts to /boot/grub, but on next boot my LCD kept saying "Out of Range" and I couldn't find any way to log in. (^Alt-Fn didn't work, ^Alt-Del forced reboot.)

ilaiho (ilaiho) wrote :

Why is this not fixed? This is outrageous. This has been open for nearly two years.

ilaiho (ilaiho) wrote :

And by the way, importance should be High at least.

Michael Demetriou (qwazix) wrote :

Comment #24 combined with commenting out the lines in #29 makes the menu show, but as I do have only Ubuntu on this machine, there's no need for the menu. I'd just like the error to go away. Anyway I can live with it.

In my case it is also accompanied with:
error: out of disk
and
error:no suitable video mode found

Colin Watson (cjwatson) wrote :

Could affected people retest with GRUB 2.00 in an up-to-date build of Ubuntu 12.10, please? There have been quite a number of potentially relevant changes here, which may have fixed this. (Of course, given the number of people responding to this, and the general level of bile, it's quite possible that there are multiple underlying problems!)

Colin Watson (cjwatson) wrote :

In particular I think problems with encrypted LVM should now be fixed.

On 12-09-26 11:35 AM, Colin Watson wrote:
> Could affected people retest with GRUB 2.00 in an up-to-date build of
> Ubuntu 12.10, please?

Just a suggestion...

In general, I'd guess that most people are unable to do such things. I
don't know about anyone else, but I stick to stable releases for my systems.

In general, getting things like this tested would probably go a lot
better if you did backports to releases that most people are probably using.

Maybe there are enough people this bug is affecting that you might hit
one or two "previewing" 12.10. I dunno. I just know that I don't have
any 12.10 systems here.

outa (outa) wrote :

I commented on this in #51

I have two machines running 12.04 now (both with encrypted LVMs), one of which was updated from 11.10, where I experienced this error, the other was a fresh install. I don't get the error message anymore now, on either machine.

I still get this blank screen (greyish now :P), but I am not sure if that is normal or related to this issue. Because on one comp I applied the workaround in #44, on the other I didn't, but both behave the same now.

Richard Hansen (a7x) wrote :

> Could affected people retest with GRUB 2.00 in an up-to-date build
> of Ubuntu 12.10, please? There have been quite a number of
> potentially relevant changes here, which may have fixed this.

I have been running 12.10 on encrypted LVM in a VirtualBox virtual machine for a little while now and haven't seen this problem. I didn't have to copy any *.pf2 files to /boot/grub -- the file /boot/grub/fonts/unicode.pf2 was already present.

Colin Watson (cjwatson) wrote :

Brian, it works the other way round. I need to know that it's actually been fixed in the (lower-risk) development release before backporting to the (higher-risk) development release. I don't mind if a relatively small number of people are able to respond initially.

ilaiho (ilaiho) wrote :

Yesterday, grub-pc and grub-common were upgraded. Was it releated to this problem? I currently use the nvidia proprietary driver that disables the high-resolution boot manager display, so I don't know.

ilaiho (ilaiho) wrote :

Bah. I uninstalled proprietary driver. There is no message, screen is blank. When I cycle ctrl+F1 > ctrl+F7, the image appears normally.

Steve Langasek (vorlon) on 2012-10-12
tags: added: rls-q-notfixing

Got the same problem, but not after installing Ubuntu or the ATI-driver. After a kernel update to 3.2.0.30, I think, I had the error message once, then a week nothing and since then I have this error message all the time, directly before the old 'Sparse file not allowed'-btrfs-related error. Now, both of them are terminal style, white on black, then the splash screen with big and ugly 'ubuntu-mono' like 'Ubuntu' letters (BTW the same on shutdown with overlaid shutdown messages.).
One error message on startup was more than enough, don't need two!

tags: added: precise
Greg Ryman (ryman-greg) wrote :

I'm running 12.10 and I do not have a graphical prompt to enter the LUKS password at boot. I have to press one of the arrow keys to get a text prompt. If I install the flgrx drivers for my ATI card on my laptop I will then get a graphical prompt for my LUKS password, however I can not run flgrx drivers with Unity.

So this issue is not fixed in 12.10.

todaioan (alan-ar06) on 2012-12-26
Changed in grub2 (Ubuntu):
status: Confirmed → Fix Released
Phillip Susi (psusi) wrote :

todaioan, please don't mark bugs as fixed for no reason, especially right after someone says it is NOT fixed.

Greg, there is no need to say it is not fixed when the status clearly says it is confirmed, not fixed.

Changed in grub2 (Ubuntu):
status: Fix Released → Confirmed
caligari (rafacouto) wrote :

I had got the error ("error: no video mode activated." message) after upgrading from 10.04 to 12.04. I have purged grub configuration and error has dissapeared.

These are the magic commands (use carefully when installing grub on partitions, internet connection required):

sudo apt-get purge grub grub-pc grub-common
sudo apt-get install grub-common grub-pc

Harpreet Khakh (hskhakh) wrote :

Commenting out GRUB_HIDDEN_TIMEOUT and GRUB_HIDDEN_TIMEOUT_QUIET in /etc/default/grub works for me.

GRUB_DEFAULT=GRUB_SAVED_DEFAULT
#GRUB_HIDDEN_TIMEOUT=10
#GRUB_HIDDEN_TIMEOUT_QUIET=
GRUB_TIMEOUT=10
GRUB_DISTRIBUTOR=`lsb_release -i -s 2> /dev/null || echo Debian`
#GRUB_CMDLINE_LINUX_DEFAULT="quiet splash"
GRUB_CMDLINE_LINUX=""

GRUB_TERMINAL=console

GRUB_GFXMODE=auto

-------------------------------------------------------------------------------
NOTE: remember sudo update-grub after above changes.
-------------------------------------------------------------------------------

HK

martin suc (martin-suc) wrote :

this problem is in raring 13.04 as well (Development branch).

apt-cache policy grub-pc
grub-pc:
  Installed: 2.00-13ubuntu3
  Candidate: 2.00-13ubuntu3
  Version table:
 *** 2.00-13ubuntu3 0
        500 http://localhost/ubuntu/ raring/main amd64 Packages
        500 http://uk.archive.ubuntu.com/ubuntu/ raring/main amd64 Packages
        100 /var/lib/dpkg/status

Peter Lonjers (plonjers) wrote :

I am pretty sure this is the bug that is keeping me from seeing the full disk encryption password prompt. I am on a fresh install of the released version of 13.04. Sorry if this information is not needed just wanted to point out it was effecting more than the dev branch.

pepa65 (peter-passchier) wrote :

Hit this bug, with the described symptoms, and the ones reported in #88.
#24 fixed it.

papseddy (papseddy-t) wrote :

I am also facing same issue... but #24 fix that problem. But this is workaround.

In my case i tried to install system with preseed, and i tried #24 run as late_command. But it doesn't work.

d-i preseed/late_command string in-target cp -rf /target/usr/share/grub/*.pf2 /target/boot/grub; in-target update-grub;

any idea about this.

DiagonalArg (diagonalarg) wrote :

A year later and I'm still facing this issue, now on 12.04.2.

This time I installed LUKS on top of RAID on a Tyan-S3970. A Ctl-Alt-F1, Ctl-Alt-F7 got me to a text box, but updating, followed by installing the proprietary nvidia drivers, turned that into a text mode input. I used #24 and I now have a text box again, but it looks all blurry and doesn't fit the screen.

Anyway, it took a dozen tries to get this far, so I'm leaving it!

I'm going to try it again on that Tyan-S2865 and see if I can get it to work this time.

APA (anonpa) wrote :

I confirm this as well, installed Ubuntu 12.04 LTS 32BIT alternative iso in virtual machine and get the "Error: no video activated" message. I also got some other errors when at password prompt screen for unlocking the encryption for LVM. I'll have to screen shot the other errors though and write them down and post them here. Isn't this fixed yet though? This should be fixed by now, since errors are still happening since 2011, it's now 2013???? >_>

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.